

```python
import numpy as np
import matplotlib.pyplot as plt
import matplotlib
import statsmodels.api as sm
from scipy.stats import norm
from scipy.stats.stats import pearsonr
```


```python
# str, int, float
str(3)
```




    '3'




```python
# int
int('5')
```




    5




```python
range(10)
```




    [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]




```python
range(1, 10)
```




    [1, 2, 3, 4, 5, 6, 7, 8, 9]




```python
dir
```




    <function dir>




```python
dir(str)[-5:]
```




    ['swapcase', 'title', 'translate', 'upper', 'zfill']




```python
help(str)
```

    Help on class str in module __builtin__:
    
    class str(basestring)
     |  str(object='') -> string
     |  
     |  Return a nice string representation of the object.
     |  If the argument is a string, the return value is the same object.
     |  
     |  Method resolution order:
     |      str
     |      basestring
     |      object
     |  
     |  Methods defined here:
     |  
     |  __add__(...)
     |      x.__add__(y) <==> x+y
     |  
     |  __contains__(...)
     |      x.__contains__(y) <==> y in x
     |  
     |  __eq__(...)
     |      x.__eq__(y) <==> x==y
     |  
     |  __format__(...)
     |      S.__format__(format_spec) -> string
     |      
     |      Return a formatted version of S as described by format_spec.
     |  
     |  __ge__(...)
     |      x.__ge__(y) <==> x>=y
     |  
     |  __getattribute__(...)
     |      x.__getattribute__('name') <==> x.name
     |  
     |  __getitem__(...)
     |      x.__getitem__(y) <==> x[y]
     |  
     |  __getnewargs__(...)
     |  
     |  __getslice__(...)
     |      x.__getslice__(i, j) <==> x[i:j]
     |      
     |      Use of negative indices is not supported.
     |  
     |  __gt__(...)
     |      x.__gt__(y) <==> x>y
     |  
     |  __hash__(...)
     |      x.__hash__() <==> hash(x)
     |  
     |  __le__(...)
     |      x.__le__(y) <==> x<=y
     |  
     |  __len__(...)
     |      x.__len__() <==> len(x)
     |  
     |  __lt__(...)
     |      x.__lt__(y) <==> x<y
     |  
     |  __mod__(...)
     |      x.__mod__(y) <==> x%y
     |  
     |  __mul__(...)
     |      x.__mul__(n) <==> x*n
     |  
     |  __ne__(...)
     |      x.__ne__(y) <==> x!=y
     |  
     |  __repr__(...)
     |      x.__repr__() <==> repr(x)
     |  
     |  __rmod__(...)
     |      x.__rmod__(y) <==> y%x
     |  
     |  __rmul__(...)
     |      x.__rmul__(n) <==> n*x
     |  
     |  __sizeof__(...)
     |      S.__sizeof__() -> size of S in memory, in bytes
     |  
     |  __str__(...)
     |      x.__str__() <==> str(x)
     |  
     |  capitalize(...)
     |      S.capitalize() -> string
     |      
     |      Return a copy of the string S with only its first character
     |      capitalized.
     |  
     |  center(...)
     |      S.center(width[, fillchar]) -> string
     |      
     |      Return S centered in a string of length width. Padding is
     |      done using the specified fill character (default is a space)
     |  
     |  count(...)
     |      S.count(sub[, start[, end]]) -> int
     |      
     |      Return the number of non-overlapping occurrences of substring sub in
     |      string S[start:end].  Optional arguments start and end are interpreted
     |      as in slice notation.
     |  
     |  decode(...)
     |      S.decode([encoding[,errors]]) -> object
     |      
     |      Decodes S using the codec registered for encoding. encoding defaults
     |      to the default encoding. errors may be given to set a different error
     |      handling scheme. Default is 'strict' meaning that encoding errors raise
     |      a UnicodeDecodeError. Other possible values are 'ignore' and 'replace'
     |      as well as any other name registered with codecs.register_error that is
     |      able to handle UnicodeDecodeErrors.
     |  
     |  encode(...)
     |      S.encode([encoding[,errors]]) -> object
     |      
     |      Encodes S using the codec registered for encoding. encoding defaults
     |      to the default encoding. errors may be given to set a different error
     |      handling scheme. Default is 'strict' meaning that encoding errors raise
     |      a UnicodeEncodeError. Other possible values are 'ignore', 'replace' and
     |      'xmlcharrefreplace' as well as any other name registered with
     |      codecs.register_error that is able to handle UnicodeEncodeErrors.
     |  
     |  endswith(...)
     |      S.endswith(suffix[, start[, end]]) -> bool
     |      
     |      Return True if S ends with the specified suffix, False otherwise.
     |      With optional start, test S beginning at that position.
     |      With optional end, stop comparing S at that position.
     |      suffix can also be a tuple of strings to try.
     |  
     |  expandtabs(...)
     |      S.expandtabs([tabsize]) -> string
     |      
     |      Return a copy of S where all tab characters are expanded using spaces.
     |      If tabsize is not given, a tab size of 8 characters is assumed.
     |  
     |  find(...)
     |      S.find(sub [,start [,end]]) -> int
     |      
     |      Return the lowest index in S where substring sub is found,
     |      such that sub is contained within S[start:end].  Optional
     |      arguments start and end are interpreted as in slice notation.
     |      
     |      Return -1 on failure.
     |  
     |  format(...)
     |      S.format(*args, **kwargs) -> string
     |      
     |      Return a formatted version of S, using substitutions from args and kwargs.
     |      The substitutions are identified by braces ('{' and '}').
     |  
     |  index(...)
     |      S.index(sub [,start [,end]]) -> int
     |      
     |      Like S.find() but raise ValueError when the substring is not found.
     |  
     |  isalnum(...)
     |      S.isalnum() -> bool
     |      
     |      Return True if all characters in S are alphanumeric
     |      and there is at least one character in S, False otherwise.
     |  
     |  isalpha(...)
     |      S.isalpha() -> bool
     |      
     |      Return True if all characters in S are alphabetic
     |      and there is at least one character in S, False otherwise.
     |  
     |  isdigit(...)
     |      S.isdigit() -> bool
     |      
     |      Return True if all characters in S are digits
     |      and there is at least one character in S, False otherwise.
     |  
     |  islower(...)
     |      S.islower() -> bool
     |      
     |      Return True if all cased characters in S are lowercase and there is
     |      at least one cased character in S, False otherwise.
     |  
     |  isspace(...)
     |      S.isspace() -> bool
     |      
     |      Return True if all characters in S are whitespace
     |      and there is at least one character in S, False otherwise.
     |  
     |  istitle(...)
     |      S.istitle() -> bool
     |      
     |      Return True if S is a titlecased string and there is at least one
     |      character in S, i.e. uppercase characters may only follow uncased
     |      characters and lowercase characters only cased ones. Return False
     |      otherwise.
     |  
     |  isupper(...)
     |      S.isupper() -> bool
     |      
     |      Return True if all cased characters in S are uppercase and there is
     |      at least one cased character in S, False otherwise.
     |  
     |  join(...)
     |      S.join(iterable) -> string
     |      
     |      Return a string which is the concatenation of the strings in the
     |      iterable.  The separator between elements is S.
     |  
     |  ljust(...)
     |      S.ljust(width[, fillchar]) -> string
     |      
     |      Return S left-justified in a string of length width. Padding is
     |      done using the specified fill character (default is a space).
     |  
     |  lower(...)
     |      S.lower() -> string
     |      
     |      Return a copy of the string S converted to lowercase.
     |  
     |  lstrip(...)
     |      S.lstrip([chars]) -> string or unicode
     |      
     |      Return a copy of the string S with leading whitespace removed.
     |      If chars is given and not None, remove characters in chars instead.
     |      If chars is unicode, S will be converted to unicode before stripping
     |  
     |  partition(...)
     |      S.partition(sep) -> (head, sep, tail)
     |      
     |      Search for the separator sep in S, and return the part before it,
     |      the separator itself, and the part after it.  If the separator is not
     |      found, return S and two empty strings.
     |  
     |  replace(...)
     |      S.replace(old, new[, count]) -> string
     |      
     |      Return a copy of string S with all occurrences of substring
     |      old replaced by new.  If the optional argument count is
     |      given, only the first count occurrences are replaced.
     |  
     |  rfind(...)
     |      S.rfind(sub [,start [,end]]) -> int
     |      
     |      Return the highest index in S where substring sub is found,
     |      such that sub is contained within S[start:end].  Optional
     |      arguments start and end are interpreted as in slice notation.
     |      
     |      Return -1 on failure.
     |  
     |  rindex(...)
     |      S.rindex(sub [,start [,end]]) -> int
     |      
     |      Like S.rfind() but raise ValueError when the substring is not found.
     |  
     |  rjust(...)
     |      S.rjust(width[, fillchar]) -> string
     |      
     |      Return S right-justified in a string of length width. Padding is
     |      done using the specified fill character (default is a space)
     |  
     |  rpartition(...)
     |      S.rpartition(sep) -> (head, sep, tail)
     |      
     |      Search for the separator sep in S, starting at the end of S, and return
     |      the part before it, the separator itself, and the part after it.  If the
     |      separator is not found, return two empty strings and S.
     |  
     |  rsplit(...)
     |      S.rsplit([sep [,maxsplit]]) -> list of strings
     |      
     |      Return a list of the words in the string S, using sep as the
     |      delimiter string, starting at the end of the string and working
     |      to the front.  If maxsplit is given, at most maxsplit splits are
     |      done. If sep is not specified or is None, any whitespace string
     |      is a separator.
     |  
     |  rstrip(...)
     |      S.rstrip([chars]) -> string or unicode
     |      
     |      Return a copy of the string S with trailing whitespace removed.
     |      If chars is given and not None, remove characters in chars instead.
     |      If chars is unicode, S will be converted to unicode before stripping
     |  
     |  split(...)
     |      S.split([sep [,maxsplit]]) -> list of strings
     |      
     |      Return a list of the words in the string S, using sep as the
     |      delimiter string.  If maxsplit is given, at most maxsplit
     |      splits are done. If sep is not specified or is None, any
     |      whitespace string is a separator and empty strings are removed
     |      from the result.
     |  
     |  splitlines(...)
     |      S.splitlines(keepends=False) -> list of strings
     |      
     |      Return a list of the lines in S, breaking at line boundaries.
     |      Line breaks are not included in the resulting list unless keepends
     |      is given and true.
     |  
     |  startswith(...)
     |      S.startswith(prefix[, start[, end]]) -> bool
     |      
     |      Return True if S starts with the specified prefix, False otherwise.
     |      With optional start, test S beginning at that position.
     |      With optional end, stop comparing S at that position.
     |      prefix can also be a tuple of strings to try.
     |  
     |  strip(...)
     |      S.strip([chars]) -> string or unicode
     |      
     |      Return a copy of the string S with leading and trailing
     |      whitespace removed.
     |      If chars is given and not None, remove characters in chars instead.
     |      If chars is unicode, S will be converted to unicode before stripping
     |  
     |  swapcase(...)
     |      S.swapcase() -> string
     |      
     |      Return a copy of the string S with uppercase characters
     |      converted to lowercase and vice versa.
     |  
     |  title(...)
     |      S.title() -> string
     |      
     |      Return a titlecased version of S, i.e. words start with uppercase
     |      characters, all remaining cased characters have lowercase.
     |  
     |  translate(...)
     |      S.translate(table [,deletechars]) -> string
     |      
     |      Return a copy of the string S, where all characters occurring
     |      in the optional argument deletechars are removed, and the
     |      remaining characters have been mapped through the given
     |      translation table, which must be a string of length 256 or None.
     |      If the table argument is None, no translation is applied and
     |      the operation simply removes the characters in deletechars.
     |  
     |  upper(...)
     |      S.upper() -> string
     |      
     |      Return a copy of the string S converted to uppercase.
     |  
     |  zfill(...)
     |      S.zfill(width) -> string
     |      
     |      Pad a numeric string S with zeros on the left, to fill a field
     |      of the specified width.  The string S is never truncated.
     |  
     |  ----------------------------------------------------------------------
     |  Data and other attributes defined here:
     |  
     |  __new__ = <built-in method __new__ of type object>
     |      T.__new__(S, ...) -> a new object with type S, a subtype of T
    
    


```python
x = ' Hello WorlD  '
dir(x)[-10:]
```




    ['rstrip',
     'split',
     'splitlines',
     'startswith',
     'strip',
     'swapcase',
     'title',
     'translate',
     'upper',
     'zfill']




```python
# lower
x.lower()
```




    ' hello world  '




```python
# rstrip
x.rstrip()
```




    ' Hello WorlD'




```python
# strip
x.strip()
```




    'Hello WorlD'




```python
# strip
x.strip()
```




    'hello world'




```python
# replace
x.replace('lo', '')
```




    'hel world'




```python
# split
x.split('lo')
```




    ['hel', ' world']




```python
# join
','.join(['a', 'b'])
```




    'a,b'




```python
x = 'hello world'
type(x)
```




    str




```python
import numpy as np

l = [1,2,3,3] # list
t = (1, 2, 3, 3) # tuple
s = set([1,2,3,3]) # set
d = {'a':1,'b':2,'c':3} # dict
a = np.array(l) # array
print l, t, s, d, a
```

    [1, 2, 3, 3] (1, 2, 3, 3) set([1, 2, 3]) {'a': 1, 'c': 3, 'b': 2} [1 2 3 3]
    


```python
l = [1,2,3,3] # list
l.append(4)
l
```




    [1, 2, 3, 3, 4]




```python
l = [1,2,3,3] # list
l.append(4)
l
```




    [1, 2, 3, 3, 4]




```python
j = 0
while j <10:
    print j
    j+=1 # avoid dead loop
```

    0
    1
    2
    3
    4
    5
    6
    7
    8
    9
    


```python
for i in [2, 0, 5]:
    try:
        print devidePlus(4, i)
    except Exception, e:
        print e
        pass
```

    name 'devidePlus' is not defined
    name 'devidePlus' is not defined
    name 'devidePlus' is not defined
    


```python
with open('C:/Users/abner/github/data/data_write_to_file.txt','r') as f:
    for k, i in enumerate(f):
        if k%2000 ==0:
            print i
```

    0	0	0
    
    2000	4000000	8000000000
    
    4000	16000000	64000000000
    
    6000	36000000	216000000000
    
    8000	64000000	512000000000
    
    


```python
data = []
line = '0\t0\t0\n'
line = line.replace('\n', '')
line = line.split('\t')
line = [int(i) for i in line] # convert str to int
data.append(line)
data
```




    [[0, 0, 0]]




```python
# 读取数据
data = []
with open('C:/Users/abner/github/data/data_write_to_file.txt','r') as f:
    for line in f:
        #line = line.replace('\n', '').split('\t')
        #line = [int(i) for i in line]
        data.append(line)
data
```




    ['0\t0\t0\n',
     '1\t1\t1\n',
     '2\t4\t8\n',
     '3\t9\t27\n',
     '4\t16\t64\n',
     '5\t25\t125\n',
     '6\t36\t216\n',
     '7\t49\t343\n',
     '8\t64\t512\n',
     '9\t81\t729\n',
     '10\t100\t1000\n',
     '11\t121\t1331\n',
     '12\t144\t1728\n',
     '13\t169\t2197\n',
     '14\t196\t2744\n',
     '15\t225\t3375\n',
     '16\t256\t4096\n',
     '17\t289\t4913\n',
     '18\t324\t5832\n',
     '19\t361\t6859\n',
     '20\t400\t8000\n',
     '21\t441\t9261\n',
     '22\t484\t10648\n',
     '23\t529\t12167\n',
     '24\t576\t13824\n',
     '25\t625\t15625\n',
     '26\t676\t17576\n',
     '27\t729\t19683\n',
     '28\t784\t21952\n',
     '29\t841\t24389\n',
     '30\t900\t27000\n',
     '31\t961\t29791\n',
     '32\t1024\t32768\n',
     '33\t1089\t35937\n',
     '34\t1156\t39304\n',
     '35\t1225\t42875\n',
     '36\t1296\t46656\n',
     '37\t1369\t50653\n',
     '38\t1444\t54872\n',
     '39\t1521\t59319\n',
     '40\t1600\t64000\n',
     '41\t1681\t68921\n',
     '42\t1764\t74088\n',
     '43\t1849\t79507\n',
     '44\t1936\t85184\n',
     '45\t2025\t91125\n',
     '46\t2116\t97336\n',
     '47\t2209\t103823\n',
     '48\t2304\t110592\n',
     '49\t2401\t117649\n',
     '50\t2500\t125000\n',
     '51\t2601\t132651\n',
     '52\t2704\t140608\n',
     '53\t2809\t148877\n',
     '54\t2916\t157464\n',
     '55\t3025\t166375\n',
     '56\t3136\t175616\n',
     '57\t3249\t185193\n',
     '58\t3364\t195112\n',
     '59\t3481\t205379\n',
     '60\t3600\t216000\n',
     '61\t3721\t226981\n',
     '62\t3844\t238328\n',
     '63\t3969\t250047\n',
     '64\t4096\t262144\n',
     '65\t4225\t274625\n',
     '66\t4356\t287496\n',
     '67\t4489\t300763\n',
     '68\t4624\t314432\n',
     '69\t4761\t328509\n',
     '70\t4900\t343000\n',
     '71\t5041\t357911\n',
     '72\t5184\t373248\n',
     '73\t5329\t389017\n',
     '74\t5476\t405224\n',
     '75\t5625\t421875\n',
     '76\t5776\t438976\n',
     '77\t5929\t456533\n',
     '78\t6084\t474552\n',
     '79\t6241\t493039\n',
     '80\t6400\t512000\n',
     '81\t6561\t531441\n',
     '82\t6724\t551368\n',
     '83\t6889\t571787\n',
     '84\t7056\t592704\n',
     '85\t7225\t614125\n',
     '86\t7396\t636056\n',
     '87\t7569\t658503\n',
     '88\t7744\t681472\n',
     '89\t7921\t704969\n',
     '90\t8100\t729000\n',
     '91\t8281\t753571\n',
     '92\t8464\t778688\n',
     '93\t8649\t804357\n',
     '94\t8836\t830584\n',
     '95\t9025\t857375\n',
     '96\t9216\t884736\n',
     '97\t9409\t912673\n',
     '98\t9604\t941192\n',
     '99\t9801\t970299\n',
     '100\t10000\t1000000\n',
     '101\t10201\t1030301\n',
     '102\t10404\t1061208\n',
     '103\t10609\t1092727\n',
     '104\t10816\t1124864\n',
     '105\t11025\t1157625\n',
     '106\t11236\t1191016\n',
     '107\t11449\t1225043\n',
     '108\t11664\t1259712\n',
     '109\t11881\t1295029\n',
     '110\t12100\t1331000\n',
     '111\t12321\t1367631\n',
     '112\t12544\t1404928\n',
     '113\t12769\t1442897\n',
     '114\t12996\t1481544\n',
     '115\t13225\t1520875\n',
     '116\t13456\t1560896\n',
     '117\t13689\t1601613\n',
     '118\t13924\t1643032\n',
     '119\t14161\t1685159\n',
     '120\t14400\t1728000\n',
     '121\t14641\t1771561\n',
     '122\t14884\t1815848\n',
     '123\t15129\t1860867\n',
     '124\t15376\t1906624\n',
     '125\t15625\t1953125\n',
     '126\t15876\t2000376\n',
     '127\t16129\t2048383\n',
     '128\t16384\t2097152\n',
     '129\t16641\t2146689\n',
     '130\t16900\t2197000\n',
     '131\t17161\t2248091\n',
     '132\t17424\t2299968\n',
     '133\t17689\t2352637\n',
     '134\t17956\t2406104\n',
     '135\t18225\t2460375\n',
     '136\t18496\t2515456\n',
     '137\t18769\t2571353\n',
     '138\t19044\t2628072\n',
     '139\t19321\t2685619\n',
     '140\t19600\t2744000\n',
     '141\t19881\t2803221\n',
     '142\t20164\t2863288\n',
     '143\t20449\t2924207\n',
     '144\t20736\t2985984\n',
     '145\t21025\t3048625\n',
     '146\t21316\t3112136\n',
     '147\t21609\t3176523\n',
     '148\t21904\t3241792\n',
     '149\t22201\t3307949\n',
     '150\t22500\t3375000\n',
     '151\t22801\t3442951\n',
     '152\t23104\t3511808\n',
     '153\t23409\t3581577\n',
     '154\t23716\t3652264\n',
     '155\t24025\t3723875\n',
     '156\t24336\t3796416\n',
     '157\t24649\t3869893\n',
     '158\t24964\t3944312\n',
     '159\t25281\t4019679\n',
     '160\t25600\t4096000\n',
     '161\t25921\t4173281\n',
     '162\t26244\t4251528\n',
     '163\t26569\t4330747\n',
     '164\t26896\t4410944\n',
     '165\t27225\t4492125\n',
     '166\t27556\t4574296\n',
     '167\t27889\t4657463\n',
     '168\t28224\t4741632\n',
     '169\t28561\t4826809\n',
     '170\t28900\t4913000\n',
     '171\t29241\t5000211\n',
     '172\t29584\t5088448\n',
     '173\t29929\t5177717\n',
     '174\t30276\t5268024\n',
     '175\t30625\t5359375\n',
     '176\t30976\t5451776\n',
     '177\t31329\t5545233\n',
     '178\t31684\t5639752\n',
     '179\t32041\t5735339\n',
     '180\t32400\t5832000\n',
     '181\t32761\t5929741\n',
     '182\t33124\t6028568\n',
     '183\t33489\t6128487\n',
     '184\t33856\t6229504\n',
     '185\t34225\t6331625\n',
     '186\t34596\t6434856\n',
     '187\t34969\t6539203\n',
     '188\t35344\t6644672\n',
     '189\t35721\t6751269\n',
     '190\t36100\t6859000\n',
     '191\t36481\t6967871\n',
     '192\t36864\t7077888\n',
     '193\t37249\t7189057\n',
     '194\t37636\t7301384\n',
     '195\t38025\t7414875\n',
     '196\t38416\t7529536\n',
     '197\t38809\t7645373\n',
     '198\t39204\t7762392\n',
     '199\t39601\t7880599\n',
     '200\t40000\t8000000\n',
     '201\t40401\t8120601\n',
     '202\t40804\t8242408\n',
     '203\t41209\t8365427\n',
     '204\t41616\t8489664\n',
     '205\t42025\t8615125\n',
     '206\t42436\t8741816\n',
     '207\t42849\t8869743\n',
     '208\t43264\t8998912\n',
     '209\t43681\t9129329\n',
     '210\t44100\t9261000\n',
     '211\t44521\t9393931\n',
     '212\t44944\t9528128\n',
     '213\t45369\t9663597\n',
     '214\t45796\t9800344\n',
     '215\t46225\t9938375\n',
     '216\t46656\t10077696\n',
     '217\t47089\t10218313\n',
     '218\t47524\t10360232\n',
     '219\t47961\t10503459\n',
     '220\t48400\t10648000\n',
     '221\t48841\t10793861\n',
     '222\t49284\t10941048\n',
     '223\t49729\t11089567\n',
     '224\t50176\t11239424\n',
     '225\t50625\t11390625\n',
     '226\t51076\t11543176\n',
     '227\t51529\t11697083\n',
     '228\t51984\t11852352\n',
     '229\t52441\t12008989\n',
     '230\t52900\t12167000\n',
     '231\t53361\t12326391\n',
     '232\t53824\t12487168\n',
     '233\t54289\t12649337\n',
     '234\t54756\t12812904\n',
     '235\t55225\t12977875\n',
     '236\t55696\t13144256\n',
     '237\t56169\t13312053\n',
     '238\t56644\t13481272\n',
     '239\t57121\t13651919\n',
     '240\t57600\t13824000\n',
     '241\t58081\t13997521\n',
     '242\t58564\t14172488\n',
     '243\t59049\t14348907\n',
     '244\t59536\t14526784\n',
     '245\t60025\t14706125\n',
     '246\t60516\t14886936\n',
     '247\t61009\t15069223\n',
     '248\t61504\t15252992\n',
     '249\t62001\t15438249\n',
     '250\t62500\t15625000\n',
     '251\t63001\t15813251\n',
     '252\t63504\t16003008\n',
     '253\t64009\t16194277\n',
     '254\t64516\t16387064\n',
     '255\t65025\t16581375\n',
     '256\t65536\t16777216\n',
     '257\t66049\t16974593\n',
     '258\t66564\t17173512\n',
     '259\t67081\t17373979\n',
     '260\t67600\t17576000\n',
     '261\t68121\t17779581\n',
     '262\t68644\t17984728\n',
     '263\t69169\t18191447\n',
     '264\t69696\t18399744\n',
     '265\t70225\t18609625\n',
     '266\t70756\t18821096\n',
     '267\t71289\t19034163\n',
     '268\t71824\t19248832\n',
     '269\t72361\t19465109\n',
     '270\t72900\t19683000\n',
     '271\t73441\t19902511\n',
     '272\t73984\t20123648\n',
     '273\t74529\t20346417\n',
     '274\t75076\t20570824\n',
     '275\t75625\t20796875\n',
     '276\t76176\t21024576\n',
     '277\t76729\t21253933\n',
     '278\t77284\t21484952\n',
     '279\t77841\t21717639\n',
     '280\t78400\t21952000\n',
     '281\t78961\t22188041\n',
     '282\t79524\t22425768\n',
     '283\t80089\t22665187\n',
     '284\t80656\t22906304\n',
     '285\t81225\t23149125\n',
     '286\t81796\t23393656\n',
     '287\t82369\t23639903\n',
     '288\t82944\t23887872\n',
     '289\t83521\t24137569\n',
     '290\t84100\t24389000\n',
     '291\t84681\t24642171\n',
     '292\t85264\t24897088\n',
     '293\t85849\t25153757\n',
     '294\t86436\t25412184\n',
     '295\t87025\t25672375\n',
     '296\t87616\t25934336\n',
     '297\t88209\t26198073\n',
     '298\t88804\t26463592\n',
     '299\t89401\t26730899\n',
     '300\t90000\t27000000\n',
     '301\t90601\t27270901\n',
     '302\t91204\t27543608\n',
     '303\t91809\t27818127\n',
     '304\t92416\t28094464\n',
     '305\t93025\t28372625\n',
     '306\t93636\t28652616\n',
     '307\t94249\t28934443\n',
     '308\t94864\t29218112\n',
     '309\t95481\t29503629\n',
     '310\t96100\t29791000\n',
     '311\t96721\t30080231\n',
     '312\t97344\t30371328\n',
     '313\t97969\t30664297\n',
     '314\t98596\t30959144\n',
     '315\t99225\t31255875\n',
     '316\t99856\t31554496\n',
     '317\t100489\t31855013\n',
     '318\t101124\t32157432\n',
     '319\t101761\t32461759\n',
     '320\t102400\t32768000\n',
     '321\t103041\t33076161\n',
     '322\t103684\t33386248\n',
     '323\t104329\t33698267\n',
     '324\t104976\t34012224\n',
     '325\t105625\t34328125\n',
     '326\t106276\t34645976\n',
     '327\t106929\t34965783\n',
     '328\t107584\t35287552\n',
     '329\t108241\t35611289\n',
     '330\t108900\t35937000\n',
     '331\t109561\t36264691\n',
     '332\t110224\t36594368\n',
     '333\t110889\t36926037\n',
     '334\t111556\t37259704\n',
     '335\t112225\t37595375\n',
     '336\t112896\t37933056\n',
     '337\t113569\t38272753\n',
     '338\t114244\t38614472\n',
     '339\t114921\t38958219\n',
     '340\t115600\t39304000\n',
     '341\t116281\t39651821\n',
     '342\t116964\t40001688\n',
     '343\t117649\t40353607\n',
     '344\t118336\t40707584\n',
     '345\t119025\t41063625\n',
     '346\t119716\t41421736\n',
     '347\t120409\t41781923\n',
     '348\t121104\t42144192\n',
     '349\t121801\t42508549\n',
     '350\t122500\t42875000\n',
     '351\t123201\t43243551\n',
     '352\t123904\t43614208\n',
     '353\t124609\t43986977\n',
     '354\t125316\t44361864\n',
     '355\t126025\t44738875\n',
     '356\t126736\t45118016\n',
     '357\t127449\t45499293\n',
     '358\t128164\t45882712\n',
     '359\t128881\t46268279\n',
     '360\t129600\t46656000\n',
     '361\t130321\t47045881\n',
     '362\t131044\t47437928\n',
     '363\t131769\t47832147\n',
     '364\t132496\t48228544\n',
     '365\t133225\t48627125\n',
     '366\t133956\t49027896\n',
     '367\t134689\t49430863\n',
     '368\t135424\t49836032\n',
     '369\t136161\t50243409\n',
     '370\t136900\t50653000\n',
     '371\t137641\t51064811\n',
     '372\t138384\t51478848\n',
     '373\t139129\t51895117\n',
     '374\t139876\t52313624\n',
     '375\t140625\t52734375\n',
     '376\t141376\t53157376\n',
     '377\t142129\t53582633\n',
     '378\t142884\t54010152\n',
     '379\t143641\t54439939\n',
     '380\t144400\t54872000\n',
     '381\t145161\t55306341\n',
     '382\t145924\t55742968\n',
     '383\t146689\t56181887\n',
     '384\t147456\t56623104\n',
     '385\t148225\t57066625\n',
     '386\t148996\t57512456\n',
     '387\t149769\t57960603\n',
     '388\t150544\t58411072\n',
     '389\t151321\t58863869\n',
     '390\t152100\t59319000\n',
     '391\t152881\t59776471\n',
     '392\t153664\t60236288\n',
     '393\t154449\t60698457\n',
     '394\t155236\t61162984\n',
     '395\t156025\t61629875\n',
     '396\t156816\t62099136\n',
     '397\t157609\t62570773\n',
     '398\t158404\t63044792\n',
     '399\t159201\t63521199\n',
     '400\t160000\t64000000\n',
     '401\t160801\t64481201\n',
     '402\t161604\t64964808\n',
     '403\t162409\t65450827\n',
     '404\t163216\t65939264\n',
     '405\t164025\t66430125\n',
     '406\t164836\t66923416\n',
     '407\t165649\t67419143\n',
     '408\t166464\t67917312\n',
     '409\t167281\t68417929\n',
     '410\t168100\t68921000\n',
     '411\t168921\t69426531\n',
     '412\t169744\t69934528\n',
     '413\t170569\t70444997\n',
     '414\t171396\t70957944\n',
     '415\t172225\t71473375\n',
     '416\t173056\t71991296\n',
     '417\t173889\t72511713\n',
     '418\t174724\t73034632\n',
     '419\t175561\t73560059\n',
     '420\t176400\t74088000\n',
     '421\t177241\t74618461\n',
     '422\t178084\t75151448\n',
     '423\t178929\t75686967\n',
     '424\t179776\t76225024\n',
     '425\t180625\t76765625\n',
     '426\t181476\t77308776\n',
     '427\t182329\t77854483\n',
     '428\t183184\t78402752\n',
     '429\t184041\t78953589\n',
     '430\t184900\t79507000\n',
     '431\t185761\t80062991\n',
     '432\t186624\t80621568\n',
     '433\t187489\t81182737\n',
     '434\t188356\t81746504\n',
     '435\t189225\t82312875\n',
     '436\t190096\t82881856\n',
     '437\t190969\t83453453\n',
     '438\t191844\t84027672\n',
     '439\t192721\t84604519\n',
     '440\t193600\t85184000\n',
     '441\t194481\t85766121\n',
     '442\t195364\t86350888\n',
     '443\t196249\t86938307\n',
     '444\t197136\t87528384\n',
     '445\t198025\t88121125\n',
     '446\t198916\t88716536\n',
     '447\t199809\t89314623\n',
     '448\t200704\t89915392\n',
     '449\t201601\t90518849\n',
     '450\t202500\t91125000\n',
     '451\t203401\t91733851\n',
     '452\t204304\t92345408\n',
     '453\t205209\t92959677\n',
     '454\t206116\t93576664\n',
     '455\t207025\t94196375\n',
     '456\t207936\t94818816\n',
     '457\t208849\t95443993\n',
     '458\t209764\t96071912\n',
     '459\t210681\t96702579\n',
     '460\t211600\t97336000\n',
     '461\t212521\t97972181\n',
     '462\t213444\t98611128\n',
     '463\t214369\t99252847\n',
     '464\t215296\t99897344\n',
     '465\t216225\t100544625\n',
     '466\t217156\t101194696\n',
     '467\t218089\t101847563\n',
     '468\t219024\t102503232\n',
     '469\t219961\t103161709\n',
     '470\t220900\t103823000\n',
     '471\t221841\t104487111\n',
     '472\t222784\t105154048\n',
     '473\t223729\t105823817\n',
     '474\t224676\t106496424\n',
     '475\t225625\t107171875\n',
     '476\t226576\t107850176\n',
     '477\t227529\t108531333\n',
     '478\t228484\t109215352\n',
     '479\t229441\t109902239\n',
     '480\t230400\t110592000\n',
     '481\t231361\t111284641\n',
     '482\t232324\t111980168\n',
     '483\t233289\t112678587\n',
     '484\t234256\t113379904\n',
     '485\t235225\t114084125\n',
     '486\t236196\t114791256\n',
     '487\t237169\t115501303\n',
     '488\t238144\t116214272\n',
     '489\t239121\t116930169\n',
     '490\t240100\t117649000\n',
     '491\t241081\t118370771\n',
     '492\t242064\t119095488\n',
     '493\t243049\t119823157\n',
     '494\t244036\t120553784\n',
     '495\t245025\t121287375\n',
     '496\t246016\t122023936\n',
     '497\t247009\t122763473\n',
     '498\t248004\t123505992\n',
     '499\t249001\t124251499\n',
     '500\t250000\t125000000\n',
     '501\t251001\t125751501\n',
     '502\t252004\t126506008\n',
     '503\t253009\t127263527\n',
     '504\t254016\t128024064\n',
     '505\t255025\t128787625\n',
     '506\t256036\t129554216\n',
     '507\t257049\t130323843\n',
     '508\t258064\t131096512\n',
     '509\t259081\t131872229\n',
     '510\t260100\t132651000\n',
     '511\t261121\t133432831\n',
     '512\t262144\t134217728\n',
     '513\t263169\t135005697\n',
     '514\t264196\t135796744\n',
     '515\t265225\t136590875\n',
     '516\t266256\t137388096\n',
     '517\t267289\t138188413\n',
     '518\t268324\t138991832\n',
     '519\t269361\t139798359\n',
     '520\t270400\t140608000\n',
     '521\t271441\t141420761\n',
     '522\t272484\t142236648\n',
     '523\t273529\t143055667\n',
     '524\t274576\t143877824\n',
     '525\t275625\t144703125\n',
     '526\t276676\t145531576\n',
     '527\t277729\t146363183\n',
     '528\t278784\t147197952\n',
     '529\t279841\t148035889\n',
     '530\t280900\t148877000\n',
     '531\t281961\t149721291\n',
     '532\t283024\t150568768\n',
     '533\t284089\t151419437\n',
     '534\t285156\t152273304\n',
     '535\t286225\t153130375\n',
     '536\t287296\t153990656\n',
     '537\t288369\t154854153\n',
     '538\t289444\t155720872\n',
     '539\t290521\t156590819\n',
     '540\t291600\t157464000\n',
     '541\t292681\t158340421\n',
     '542\t293764\t159220088\n',
     '543\t294849\t160103007\n',
     '544\t295936\t160989184\n',
     '545\t297025\t161878625\n',
     '546\t298116\t162771336\n',
     '547\t299209\t163667323\n',
     '548\t300304\t164566592\n',
     '549\t301401\t165469149\n',
     '550\t302500\t166375000\n',
     '551\t303601\t167284151\n',
     '552\t304704\t168196608\n',
     '553\t305809\t169112377\n',
     '554\t306916\t170031464\n',
     '555\t308025\t170953875\n',
     '556\t309136\t171879616\n',
     '557\t310249\t172808693\n',
     '558\t311364\t173741112\n',
     '559\t312481\t174676879\n',
     '560\t313600\t175616000\n',
     '561\t314721\t176558481\n',
     '562\t315844\t177504328\n',
     '563\t316969\t178453547\n',
     '564\t318096\t179406144\n',
     '565\t319225\t180362125\n',
     '566\t320356\t181321496\n',
     '567\t321489\t182284263\n',
     '568\t322624\t183250432\n',
     '569\t323761\t184220009\n',
     '570\t324900\t185193000\n',
     '571\t326041\t186169411\n',
     '572\t327184\t187149248\n',
     '573\t328329\t188132517\n',
     '574\t329476\t189119224\n',
     '575\t330625\t190109375\n',
     '576\t331776\t191102976\n',
     '577\t332929\t192100033\n',
     '578\t334084\t193100552\n',
     '579\t335241\t194104539\n',
     '580\t336400\t195112000\n',
     '581\t337561\t196122941\n',
     '582\t338724\t197137368\n',
     '583\t339889\t198155287\n',
     '584\t341056\t199176704\n',
     '585\t342225\t200201625\n',
     '586\t343396\t201230056\n',
     '587\t344569\t202262003\n',
     '588\t345744\t203297472\n',
     '589\t346921\t204336469\n',
     '590\t348100\t205379000\n',
     '591\t349281\t206425071\n',
     '592\t350464\t207474688\n',
     '593\t351649\t208527857\n',
     '594\t352836\t209584584\n',
     '595\t354025\t210644875\n',
     '596\t355216\t211708736\n',
     '597\t356409\t212776173\n',
     '598\t357604\t213847192\n',
     '599\t358801\t214921799\n',
     '600\t360000\t216000000\n',
     '601\t361201\t217081801\n',
     '602\t362404\t218167208\n',
     '603\t363609\t219256227\n',
     '604\t364816\t220348864\n',
     '605\t366025\t221445125\n',
     '606\t367236\t222545016\n',
     '607\t368449\t223648543\n',
     '608\t369664\t224755712\n',
     '609\t370881\t225866529\n',
     '610\t372100\t226981000\n',
     '611\t373321\t228099131\n',
     '612\t374544\t229220928\n',
     '613\t375769\t230346397\n',
     '614\t376996\t231475544\n',
     '615\t378225\t232608375\n',
     '616\t379456\t233744896\n',
     '617\t380689\t234885113\n',
     '618\t381924\t236029032\n',
     '619\t383161\t237176659\n',
     '620\t384400\t238328000\n',
     '621\t385641\t239483061\n',
     '622\t386884\t240641848\n',
     '623\t388129\t241804367\n',
     '624\t389376\t242970624\n',
     '625\t390625\t244140625\n',
     '626\t391876\t245314376\n',
     '627\t393129\t246491883\n',
     '628\t394384\t247673152\n',
     '629\t395641\t248858189\n',
     '630\t396900\t250047000\n',
     '631\t398161\t251239591\n',
     '632\t399424\t252435968\n',
     '633\t400689\t253636137\n',
     '634\t401956\t254840104\n',
     '635\t403225\t256047875\n',
     '636\t404496\t257259456\n',
     '637\t405769\t258474853\n',
     '638\t407044\t259694072\n',
     '639\t408321\t260917119\n',
     '640\t409600\t262144000\n',
     '641\t410881\t263374721\n',
     '642\t412164\t264609288\n',
     '643\t413449\t265847707\n',
     '644\t414736\t267089984\n',
     '645\t416025\t268336125\n',
     '646\t417316\t269586136\n',
     '647\t418609\t270840023\n',
     '648\t419904\t272097792\n',
     '649\t421201\t273359449\n',
     '650\t422500\t274625000\n',
     '651\t423801\t275894451\n',
     '652\t425104\t277167808\n',
     '653\t426409\t278445077\n',
     '654\t427716\t279726264\n',
     '655\t429025\t281011375\n',
     '656\t430336\t282300416\n',
     '657\t431649\t283593393\n',
     '658\t432964\t284890312\n',
     '659\t434281\t286191179\n',
     '660\t435600\t287496000\n',
     '661\t436921\t288804781\n',
     '662\t438244\t290117528\n',
     '663\t439569\t291434247\n',
     '664\t440896\t292754944\n',
     '665\t442225\t294079625\n',
     '666\t443556\t295408296\n',
     '667\t444889\t296740963\n',
     '668\t446224\t298077632\n',
     '669\t447561\t299418309\n',
     '670\t448900\t300763000\n',
     '671\t450241\t302111711\n',
     '672\t451584\t303464448\n',
     '673\t452929\t304821217\n',
     '674\t454276\t306182024\n',
     '675\t455625\t307546875\n',
     '676\t456976\t308915776\n',
     '677\t458329\t310288733\n',
     '678\t459684\t311665752\n',
     '679\t461041\t313046839\n',
     '680\t462400\t314432000\n',
     '681\t463761\t315821241\n',
     '682\t465124\t317214568\n',
     '683\t466489\t318611987\n',
     '684\t467856\t320013504\n',
     '685\t469225\t321419125\n',
     '686\t470596\t322828856\n',
     '687\t471969\t324242703\n',
     '688\t473344\t325660672\n',
     '689\t474721\t327082769\n',
     '690\t476100\t328509000\n',
     '691\t477481\t329939371\n',
     '692\t478864\t331373888\n',
     '693\t480249\t332812557\n',
     '694\t481636\t334255384\n',
     '695\t483025\t335702375\n',
     '696\t484416\t337153536\n',
     '697\t485809\t338608873\n',
     '698\t487204\t340068392\n',
     '699\t488601\t341532099\n',
     '700\t490000\t343000000\n',
     '701\t491401\t344472101\n',
     '702\t492804\t345948408\n',
     '703\t494209\t347428927\n',
     '704\t495616\t348913664\n',
     '705\t497025\t350402625\n',
     '706\t498436\t351895816\n',
     '707\t499849\t353393243\n',
     '708\t501264\t354894912\n',
     '709\t502681\t356400829\n',
     '710\t504100\t357911000\n',
     '711\t505521\t359425431\n',
     '712\t506944\t360944128\n',
     '713\t508369\t362467097\n',
     '714\t509796\t363994344\n',
     '715\t511225\t365525875\n',
     '716\t512656\t367061696\n',
     '717\t514089\t368601813\n',
     '718\t515524\t370146232\n',
     '719\t516961\t371694959\n',
     '720\t518400\t373248000\n',
     '721\t519841\t374805361\n',
     '722\t521284\t376367048\n',
     '723\t522729\t377933067\n',
     '724\t524176\t379503424\n',
     '725\t525625\t381078125\n',
     '726\t527076\t382657176\n',
     '727\t528529\t384240583\n',
     '728\t529984\t385828352\n',
     '729\t531441\t387420489\n',
     '730\t532900\t389017000\n',
     '731\t534361\t390617891\n',
     '732\t535824\t392223168\n',
     '733\t537289\t393832837\n',
     '734\t538756\t395446904\n',
     '735\t540225\t397065375\n',
     '736\t541696\t398688256\n',
     '737\t543169\t400315553\n',
     '738\t544644\t401947272\n',
     '739\t546121\t403583419\n',
     '740\t547600\t405224000\n',
     '741\t549081\t406869021\n',
     '742\t550564\t408518488\n',
     '743\t552049\t410172407\n',
     '744\t553536\t411830784\n',
     '745\t555025\t413493625\n',
     '746\t556516\t415160936\n',
     '747\t558009\t416832723\n',
     '748\t559504\t418508992\n',
     '749\t561001\t420189749\n',
     '750\t562500\t421875000\n',
     '751\t564001\t423564751\n',
     '752\t565504\t425259008\n',
     '753\t567009\t426957777\n',
     '754\t568516\t428661064\n',
     '755\t570025\t430368875\n',
     '756\t571536\t432081216\n',
     '757\t573049\t433798093\n',
     '758\t574564\t435519512\n',
     '759\t576081\t437245479\n',
     '760\t577600\t438976000\n',
     '761\t579121\t440711081\n',
     '762\t580644\t442450728\n',
     '763\t582169\t444194947\n',
     '764\t583696\t445943744\n',
     '765\t585225\t447697125\n',
     '766\t586756\t449455096\n',
     '767\t588289\t451217663\n',
     '768\t589824\t452984832\n',
     '769\t591361\t454756609\n',
     '770\t592900\t456533000\n',
     '771\t594441\t458314011\n',
     '772\t595984\t460099648\n',
     '773\t597529\t461889917\n',
     '774\t599076\t463684824\n',
     '775\t600625\t465484375\n',
     '776\t602176\t467288576\n',
     '777\t603729\t469097433\n',
     '778\t605284\t470910952\n',
     '779\t606841\t472729139\n',
     '780\t608400\t474552000\n',
     '781\t609961\t476379541\n',
     '782\t611524\t478211768\n',
     '783\t613089\t480048687\n',
     '784\t614656\t481890304\n',
     '785\t616225\t483736625\n',
     '786\t617796\t485587656\n',
     '787\t619369\t487443403\n',
     '788\t620944\t489303872\n',
     '789\t622521\t491169069\n',
     '790\t624100\t493039000\n',
     '791\t625681\t494913671\n',
     '792\t627264\t496793088\n',
     '793\t628849\t498677257\n',
     '794\t630436\t500566184\n',
     '795\t632025\t502459875\n',
     '796\t633616\t504358336\n',
     '797\t635209\t506261573\n',
     '798\t636804\t508169592\n',
     '799\t638401\t510082399\n',
     '800\t640000\t512000000\n',
     '801\t641601\t513922401\n',
     '802\t643204\t515849608\n',
     '803\t644809\t517781627\n',
     '804\t646416\t519718464\n',
     '805\t648025\t521660125\n',
     '806\t649636\t523606616\n',
     '807\t651249\t525557943\n',
     '808\t652864\t527514112\n',
     '809\t654481\t529475129\n',
     '810\t656100\t531441000\n',
     '811\t657721\t533411731\n',
     '812\t659344\t535387328\n',
     '813\t660969\t537367797\n',
     '814\t662596\t539353144\n',
     '815\t664225\t541343375\n',
     '816\t665856\t543338496\n',
     '817\t667489\t545338513\n',
     '818\t669124\t547343432\n',
     '819\t670761\t549353259\n',
     '820\t672400\t551368000\n',
     '821\t674041\t553387661\n',
     '822\t675684\t555412248\n',
     '823\t677329\t557441767\n',
     '824\t678976\t559476224\n',
     '825\t680625\t561515625\n',
     '826\t682276\t563559976\n',
     '827\t683929\t565609283\n',
     '828\t685584\t567663552\n',
     '829\t687241\t569722789\n',
     '830\t688900\t571787000\n',
     '831\t690561\t573856191\n',
     '832\t692224\t575930368\n',
     '833\t693889\t578009537\n',
     '834\t695556\t580093704\n',
     '835\t697225\t582182875\n',
     '836\t698896\t584277056\n',
     '837\t700569\t586376253\n',
     '838\t702244\t588480472\n',
     '839\t703921\t590589719\n',
     '840\t705600\t592704000\n',
     '841\t707281\t594823321\n',
     '842\t708964\t596947688\n',
     '843\t710649\t599077107\n',
     '844\t712336\t601211584\n',
     '845\t714025\t603351125\n',
     '846\t715716\t605495736\n',
     '847\t717409\t607645423\n',
     '848\t719104\t609800192\n',
     '849\t720801\t611960049\n',
     '850\t722500\t614125000\n',
     '851\t724201\t616295051\n',
     '852\t725904\t618470208\n',
     '853\t727609\t620650477\n',
     '854\t729316\t622835864\n',
     '855\t731025\t625026375\n',
     '856\t732736\t627222016\n',
     '857\t734449\t629422793\n',
     '858\t736164\t631628712\n',
     '859\t737881\t633839779\n',
     '860\t739600\t636056000\n',
     '861\t741321\t638277381\n',
     '862\t743044\t640503928\n',
     '863\t744769\t642735647\n',
     '864\t746496\t644972544\n',
     '865\t748225\t647214625\n',
     '866\t749956\t649461896\n',
     '867\t751689\t651714363\n',
     '868\t753424\t653972032\n',
     '869\t755161\t656234909\n',
     '870\t756900\t658503000\n',
     '871\t758641\t660776311\n',
     '872\t760384\t663054848\n',
     '873\t762129\t665338617\n',
     '874\t763876\t667627624\n',
     '875\t765625\t669921875\n',
     '876\t767376\t672221376\n',
     '877\t769129\t674526133\n',
     '878\t770884\t676836152\n',
     '879\t772641\t679151439\n',
     '880\t774400\t681472000\n',
     '881\t776161\t683797841\n',
     '882\t777924\t686128968\n',
     '883\t779689\t688465387\n',
     '884\t781456\t690807104\n',
     '885\t783225\t693154125\n',
     '886\t784996\t695506456\n',
     '887\t786769\t697864103\n',
     '888\t788544\t700227072\n',
     '889\t790321\t702595369\n',
     '890\t792100\t704969000\n',
     '891\t793881\t707347971\n',
     '892\t795664\t709732288\n',
     '893\t797449\t712121957\n',
     '894\t799236\t714516984\n',
     '895\t801025\t716917375\n',
     '896\t802816\t719323136\n',
     '897\t804609\t721734273\n',
     '898\t806404\t724150792\n',
     '899\t808201\t726572699\n',
     '900\t810000\t729000000\n',
     '901\t811801\t731432701\n',
     '902\t813604\t733870808\n',
     '903\t815409\t736314327\n',
     '904\t817216\t738763264\n',
     '905\t819025\t741217625\n',
     '906\t820836\t743677416\n',
     '907\t822649\t746142643\n',
     '908\t824464\t748613312\n',
     '909\t826281\t751089429\n',
     '910\t828100\t753571000\n',
     '911\t829921\t756058031\n',
     '912\t831744\t758550528\n',
     '913\t833569\t761048497\n',
     '914\t835396\t763551944\n',
     '915\t837225\t766060875\n',
     '916\t839056\t768575296\n',
     '917\t840889\t771095213\n',
     '918\t842724\t773620632\n',
     '919\t844561\t776151559\n',
     '920\t846400\t778688000\n',
     '921\t848241\t781229961\n',
     '922\t850084\t783777448\n',
     '923\t851929\t786330467\n',
     '924\t853776\t788889024\n',
     '925\t855625\t791453125\n',
     '926\t857476\t794022776\n',
     '927\t859329\t796597983\n',
     '928\t861184\t799178752\n',
     '929\t863041\t801765089\n',
     '930\t864900\t804357000\n',
     '931\t866761\t806954491\n',
     '932\t868624\t809557568\n',
     '933\t870489\t812166237\n',
     '934\t872356\t814780504\n',
     '935\t874225\t817400375\n',
     '936\t876096\t820025856\n',
     '937\t877969\t822656953\n',
     '938\t879844\t825293672\n',
     '939\t881721\t827936019\n',
     '940\t883600\t830584000\n',
     '941\t885481\t833237621\n',
     '942\t887364\t835896888\n',
     '943\t889249\t838561807\n',
     '944\t891136\t841232384\n',
     '945\t893025\t843908625\n',
     '946\t894916\t846590536\n',
     '947\t896809\t849278123\n',
     '948\t898704\t851971392\n',
     '949\t900601\t854670349\n',
     '950\t902500\t857375000\n',
     '951\t904401\t860085351\n',
     '952\t906304\t862801408\n',
     '953\t908209\t865523177\n',
     '954\t910116\t868250664\n',
     '955\t912025\t870983875\n',
     '956\t913936\t873722816\n',
     '957\t915849\t876467493\n',
     '958\t917764\t879217912\n',
     '959\t919681\t881974079\n',
     '960\t921600\t884736000\n',
     '961\t923521\t887503681\n',
     '962\t925444\t890277128\n',
     '963\t927369\t893056347\n',
     '964\t929296\t895841344\n',
     '965\t931225\t898632125\n',
     '966\t933156\t901428696\n',
     '967\t935089\t904231063\n',
     '968\t937024\t907039232\n',
     '969\t938961\t909853209\n',
     '970\t940900\t912673000\n',
     '971\t942841\t915498611\n',
     '972\t944784\t918330048\n',
     '973\t946729\t921167317\n',
     '974\t948676\t924010424\n',
     '975\t950625\t926859375\n',
     '976\t952576\t929714176\n',
     '977\t954529\t932574833\n',
     '978\t956484\t935441352\n',
     '979\t958441\t938313739\n',
     '980\t960400\t941192000\n',
     '981\t962361\t944076141\n',
     '982\t964324\t946966168\n',
     '983\t966289\t949862087\n',
     '984\t968256\t952763904\n',
     '985\t970225\t955671625\n',
     '986\t972196\t958585256\n',
     '987\t974169\t961504803\n',
     '988\t976144\t964430272\n',
     '989\t978121\t967361669\n',
     '990\t980100\t970299000\n',
     '991\t982081\t973242271\n',
     '992\t984064\t976191488\n',
     '993\t986049\t979146657\n',
     '994\t988036\t982107784\n',
     '995\t990025\t985074875\n',
     '996\t992016\t988047936\n',
     '997\t994009\t991026973\n',
     '998\t996004\t994011992\n',
     '999\t998001\t997002999\n',
     ...]




```python
# 读取数据
data = []
with open('C:/Users/abner/github/data/data_write_to_file.txt','r') as f:
    for line in f:
        line = line.replace('\n', '').split('\t')
        line = [int(i) for i in line]
        data.append(line)
data
```




    [[0, 0, 0],
     [1, 1, 1],
     [2, 4, 8],
     [3, 9, 27],
     [4, 16, 64],
     [5, 25, 125],
     [6, 36, 216],
     [7, 49, 343],
     [8, 64, 512],
     [9, 81, 729],
     [10, 100, 1000],
     [11, 121, 1331],
     [12, 144, 1728],
     [13, 169, 2197],
     [14, 196, 2744],
     [15, 225, 3375],
     [16, 256, 4096],
     [17, 289, 4913],
     [18, 324, 5832],
     [19, 361, 6859],
     [20, 400, 8000],
     [21, 441, 9261],
     [22, 484, 10648],
     [23, 529, 12167],
     [24, 576, 13824],
     [25, 625, 15625],
     [26, 676, 17576],
     [27, 729, 19683],
     [28, 784, 21952],
     [29, 841, 24389],
     [30, 900, 27000],
     [31, 961, 29791],
     [32, 1024, 32768],
     [33, 1089, 35937],
     [34, 1156, 39304],
     [35, 1225, 42875],
     [36, 1296, 46656],
     [37, 1369, 50653],
     [38, 1444, 54872],
     [39, 1521, 59319],
     [40, 1600, 64000],
     [41, 1681, 68921],
     [42, 1764, 74088],
     [43, 1849, 79507],
     [44, 1936, 85184],
     [45, 2025, 91125],
     [46, 2116, 97336],
     [47, 2209, 103823],
     [48, 2304, 110592],
     [49, 2401, 117649],
     [50, 2500, 125000],
     [51, 2601, 132651],
     [52, 2704, 140608],
     [53, 2809, 148877],
     [54, 2916, 157464],
     [55, 3025, 166375],
     [56, 3136, 175616],
     [57, 3249, 185193],
     [58, 3364, 195112],
     [59, 3481, 205379],
     [60, 3600, 216000],
     [61, 3721, 226981],
     [62, 3844, 238328],
     [63, 3969, 250047],
     [64, 4096, 262144],
     [65, 4225, 274625],
     [66, 4356, 287496],
     [67, 4489, 300763],
     [68, 4624, 314432],
     [69, 4761, 328509],
     [70, 4900, 343000],
     [71, 5041, 357911],
     [72, 5184, 373248],
     [73, 5329, 389017],
     [74, 5476, 405224],
     [75, 5625, 421875],
     [76, 5776, 438976],
     [77, 5929, 456533],
     [78, 6084, 474552],
     [79, 6241, 493039],
     [80, 6400, 512000],
     [81, 6561, 531441],
     [82, 6724, 551368],
     [83, 6889, 571787],
     [84, 7056, 592704],
     [85, 7225, 614125],
     [86, 7396, 636056],
     [87, 7569, 658503],
     [88, 7744, 681472],
     [89, 7921, 704969],
     [90, 8100, 729000],
     [91, 8281, 753571],
     [92, 8464, 778688],
     [93, 8649, 804357],
     [94, 8836, 830584],
     [95, 9025, 857375],
     [96, 9216, 884736],
     [97, 9409, 912673],
     [98, 9604, 941192],
     [99, 9801, 970299],
     [100, 10000, 1000000],
     [101, 10201, 1030301],
     [102, 10404, 1061208],
     [103, 10609, 1092727],
     [104, 10816, 1124864],
     [105, 11025, 1157625],
     [106, 11236, 1191016],
     [107, 11449, 1225043],
     [108, 11664, 1259712],
     [109, 11881, 1295029],
     [110, 12100, 1331000],
     [111, 12321, 1367631],
     [112, 12544, 1404928],
     [113, 12769, 1442897],
     [114, 12996, 1481544],
     [115, 13225, 1520875],
     [116, 13456, 1560896],
     [117, 13689, 1601613],
     [118, 13924, 1643032],
     [119, 14161, 1685159],
     [120, 14400, 1728000],
     [121, 14641, 1771561],
     [122, 14884, 1815848],
     [123, 15129, 1860867],
     [124, 15376, 1906624],
     [125, 15625, 1953125],
     [126, 15876, 2000376],
     [127, 16129, 2048383],
     [128, 16384, 2097152],
     [129, 16641, 2146689],
     [130, 16900, 2197000],
     [131, 17161, 2248091],
     [132, 17424, 2299968],
     [133, 17689, 2352637],
     [134, 17956, 2406104],
     [135, 18225, 2460375],
     [136, 18496, 2515456],
     [137, 18769, 2571353],
     [138, 19044, 2628072],
     [139, 19321, 2685619],
     [140, 19600, 2744000],
     [141, 19881, 2803221],
     [142, 20164, 2863288],
     [143, 20449, 2924207],
     [144, 20736, 2985984],
     [145, 21025, 3048625],
     [146, 21316, 3112136],
     [147, 21609, 3176523],
     [148, 21904, 3241792],
     [149, 22201, 3307949],
     [150, 22500, 3375000],
     [151, 22801, 3442951],
     [152, 23104, 3511808],
     [153, 23409, 3581577],
     [154, 23716, 3652264],
     [155, 24025, 3723875],
     [156, 24336, 3796416],
     [157, 24649, 3869893],
     [158, 24964, 3944312],
     [159, 25281, 4019679],
     [160, 25600, 4096000],
     [161, 25921, 4173281],
     [162, 26244, 4251528],
     [163, 26569, 4330747],
     [164, 26896, 4410944],
     [165, 27225, 4492125],
     [166, 27556, 4574296],
     [167, 27889, 4657463],
     [168, 28224, 4741632],
     [169, 28561, 4826809],
     [170, 28900, 4913000],
     [171, 29241, 5000211],
     [172, 29584, 5088448],
     [173, 29929, 5177717],
     [174, 30276, 5268024],
     [175, 30625, 5359375],
     [176, 30976, 5451776],
     [177, 31329, 5545233],
     [178, 31684, 5639752],
     [179, 32041, 5735339],
     [180, 32400, 5832000],
     [181, 32761, 5929741],
     [182, 33124, 6028568],
     [183, 33489, 6128487],
     [184, 33856, 6229504],
     [185, 34225, 6331625],
     [186, 34596, 6434856],
     [187, 34969, 6539203],
     [188, 35344, 6644672],
     [189, 35721, 6751269],
     [190, 36100, 6859000],
     [191, 36481, 6967871],
     [192, 36864, 7077888],
     [193, 37249, 7189057],
     [194, 37636, 7301384],
     [195, 38025, 7414875],
     [196, 38416, 7529536],
     [197, 38809, 7645373],
     [198, 39204, 7762392],
     [199, 39601, 7880599],
     [200, 40000, 8000000],
     [201, 40401, 8120601],
     [202, 40804, 8242408],
     [203, 41209, 8365427],
     [204, 41616, 8489664],
     [205, 42025, 8615125],
     [206, 42436, 8741816],
     [207, 42849, 8869743],
     [208, 43264, 8998912],
     [209, 43681, 9129329],
     [210, 44100, 9261000],
     [211, 44521, 9393931],
     [212, 44944, 9528128],
     [213, 45369, 9663597],
     [214, 45796, 9800344],
     [215, 46225, 9938375],
     [216, 46656, 10077696],
     [217, 47089, 10218313],
     [218, 47524, 10360232],
     [219, 47961, 10503459],
     [220, 48400, 10648000],
     [221, 48841, 10793861],
     [222, 49284, 10941048],
     [223, 49729, 11089567],
     [224, 50176, 11239424],
     [225, 50625, 11390625],
     [226, 51076, 11543176],
     [227, 51529, 11697083],
     [228, 51984, 11852352],
     [229, 52441, 12008989],
     [230, 52900, 12167000],
     [231, 53361, 12326391],
     [232, 53824, 12487168],
     [233, 54289, 12649337],
     [234, 54756, 12812904],
     [235, 55225, 12977875],
     [236, 55696, 13144256],
     [237, 56169, 13312053],
     [238, 56644, 13481272],
     [239, 57121, 13651919],
     [240, 57600, 13824000],
     [241, 58081, 13997521],
     [242, 58564, 14172488],
     [243, 59049, 14348907],
     [244, 59536, 14526784],
     [245, 60025, 14706125],
     [246, 60516, 14886936],
     [247, 61009, 15069223],
     [248, 61504, 15252992],
     [249, 62001, 15438249],
     [250, 62500, 15625000],
     [251, 63001, 15813251],
     [252, 63504, 16003008],
     [253, 64009, 16194277],
     [254, 64516, 16387064],
     [255, 65025, 16581375],
     [256, 65536, 16777216],
     [257, 66049, 16974593],
     [258, 66564, 17173512],
     [259, 67081, 17373979],
     [260, 67600, 17576000],
     [261, 68121, 17779581],
     [262, 68644, 17984728],
     [263, 69169, 18191447],
     [264, 69696, 18399744],
     [265, 70225, 18609625],
     [266, 70756, 18821096],
     [267, 71289, 19034163],
     [268, 71824, 19248832],
     [269, 72361, 19465109],
     [270, 72900, 19683000],
     [271, 73441, 19902511],
     [272, 73984, 20123648],
     [273, 74529, 20346417],
     [274, 75076, 20570824],
     [275, 75625, 20796875],
     [276, 76176, 21024576],
     [277, 76729, 21253933],
     [278, 77284, 21484952],
     [279, 77841, 21717639],
     [280, 78400, 21952000],
     [281, 78961, 22188041],
     [282, 79524, 22425768],
     [283, 80089, 22665187],
     [284, 80656, 22906304],
     [285, 81225, 23149125],
     [286, 81796, 23393656],
     [287, 82369, 23639903],
     [288, 82944, 23887872],
     [289, 83521, 24137569],
     [290, 84100, 24389000],
     [291, 84681, 24642171],
     [292, 85264, 24897088],
     [293, 85849, 25153757],
     [294, 86436, 25412184],
     [295, 87025, 25672375],
     [296, 87616, 25934336],
     [297, 88209, 26198073],
     [298, 88804, 26463592],
     [299, 89401, 26730899],
     [300, 90000, 27000000],
     [301, 90601, 27270901],
     [302, 91204, 27543608],
     [303, 91809, 27818127],
     [304, 92416, 28094464],
     [305, 93025, 28372625],
     [306, 93636, 28652616],
     [307, 94249, 28934443],
     [308, 94864, 29218112],
     [309, 95481, 29503629],
     [310, 96100, 29791000],
     [311, 96721, 30080231],
     [312, 97344, 30371328],
     [313, 97969, 30664297],
     [314, 98596, 30959144],
     [315, 99225, 31255875],
     [316, 99856, 31554496],
     [317, 100489, 31855013],
     [318, 101124, 32157432],
     [319, 101761, 32461759],
     [320, 102400, 32768000],
     [321, 103041, 33076161],
     [322, 103684, 33386248],
     [323, 104329, 33698267],
     [324, 104976, 34012224],
     [325, 105625, 34328125],
     [326, 106276, 34645976],
     [327, 106929, 34965783],
     [328, 107584, 35287552],
     [329, 108241, 35611289],
     [330, 108900, 35937000],
     [331, 109561, 36264691],
     [332, 110224, 36594368],
     [333, 110889, 36926037],
     [334, 111556, 37259704],
     [335, 112225, 37595375],
     [336, 112896, 37933056],
     [337, 113569, 38272753],
     [338, 114244, 38614472],
     [339, 114921, 38958219],
     [340, 115600, 39304000],
     [341, 116281, 39651821],
     [342, 116964, 40001688],
     [343, 117649, 40353607],
     [344, 118336, 40707584],
     [345, 119025, 41063625],
     [346, 119716, 41421736],
     [347, 120409, 41781923],
     [348, 121104, 42144192],
     [349, 121801, 42508549],
     [350, 122500, 42875000],
     [351, 123201, 43243551],
     [352, 123904, 43614208],
     [353, 124609, 43986977],
     [354, 125316, 44361864],
     [355, 126025, 44738875],
     [356, 126736, 45118016],
     [357, 127449, 45499293],
     [358, 128164, 45882712],
     [359, 128881, 46268279],
     [360, 129600, 46656000],
     [361, 130321, 47045881],
     [362, 131044, 47437928],
     [363, 131769, 47832147],
     [364, 132496, 48228544],
     [365, 133225, 48627125],
     [366, 133956, 49027896],
     [367, 134689, 49430863],
     [368, 135424, 49836032],
     [369, 136161, 50243409],
     [370, 136900, 50653000],
     [371, 137641, 51064811],
     [372, 138384, 51478848],
     [373, 139129, 51895117],
     [374, 139876, 52313624],
     [375, 140625, 52734375],
     [376, 141376, 53157376],
     [377, 142129, 53582633],
     [378, 142884, 54010152],
     [379, 143641, 54439939],
     [380, 144400, 54872000],
     [381, 145161, 55306341],
     [382, 145924, 55742968],
     [383, 146689, 56181887],
     [384, 147456, 56623104],
     [385, 148225, 57066625],
     [386, 148996, 57512456],
     [387, 149769, 57960603],
     [388, 150544, 58411072],
     [389, 151321, 58863869],
     [390, 152100, 59319000],
     [391, 152881, 59776471],
     [392, 153664, 60236288],
     [393, 154449, 60698457],
     [394, 155236, 61162984],
     [395, 156025, 61629875],
     [396, 156816, 62099136],
     [397, 157609, 62570773],
     [398, 158404, 63044792],
     [399, 159201, 63521199],
     [400, 160000, 64000000],
     [401, 160801, 64481201],
     [402, 161604, 64964808],
     [403, 162409, 65450827],
     [404, 163216, 65939264],
     [405, 164025, 66430125],
     [406, 164836, 66923416],
     [407, 165649, 67419143],
     [408, 166464, 67917312],
     [409, 167281, 68417929],
     [410, 168100, 68921000],
     [411, 168921, 69426531],
     [412, 169744, 69934528],
     [413, 170569, 70444997],
     [414, 171396, 70957944],
     [415, 172225, 71473375],
     [416, 173056, 71991296],
     [417, 173889, 72511713],
     [418, 174724, 73034632],
     [419, 175561, 73560059],
     [420, 176400, 74088000],
     [421, 177241, 74618461],
     [422, 178084, 75151448],
     [423, 178929, 75686967],
     [424, 179776, 76225024],
     [425, 180625, 76765625],
     [426, 181476, 77308776],
     [427, 182329, 77854483],
     [428, 183184, 78402752],
     [429, 184041, 78953589],
     [430, 184900, 79507000],
     [431, 185761, 80062991],
     [432, 186624, 80621568],
     [433, 187489, 81182737],
     [434, 188356, 81746504],
     [435, 189225, 82312875],
     [436, 190096, 82881856],
     [437, 190969, 83453453],
     [438, 191844, 84027672],
     [439, 192721, 84604519],
     [440, 193600, 85184000],
     [441, 194481, 85766121],
     [442, 195364, 86350888],
     [443, 196249, 86938307],
     [444, 197136, 87528384],
     [445, 198025, 88121125],
     [446, 198916, 88716536],
     [447, 199809, 89314623],
     [448, 200704, 89915392],
     [449, 201601, 90518849],
     [450, 202500, 91125000],
     [451, 203401, 91733851],
     [452, 204304, 92345408],
     [453, 205209, 92959677],
     [454, 206116, 93576664],
     [455, 207025, 94196375],
     [456, 207936, 94818816],
     [457, 208849, 95443993],
     [458, 209764, 96071912],
     [459, 210681, 96702579],
     [460, 211600, 97336000],
     [461, 212521, 97972181],
     [462, 213444, 98611128],
     [463, 214369, 99252847],
     [464, 215296, 99897344],
     [465, 216225, 100544625],
     [466, 217156, 101194696],
     [467, 218089, 101847563],
     [468, 219024, 102503232],
     [469, 219961, 103161709],
     [470, 220900, 103823000],
     [471, 221841, 104487111],
     [472, 222784, 105154048],
     [473, 223729, 105823817],
     [474, 224676, 106496424],
     [475, 225625, 107171875],
     [476, 226576, 107850176],
     [477, 227529, 108531333],
     [478, 228484, 109215352],
     [479, 229441, 109902239],
     [480, 230400, 110592000],
     [481, 231361, 111284641],
     [482, 232324, 111980168],
     [483, 233289, 112678587],
     [484, 234256, 113379904],
     [485, 235225, 114084125],
     [486, 236196, 114791256],
     [487, 237169, 115501303],
     [488, 238144, 116214272],
     [489, 239121, 116930169],
     [490, 240100, 117649000],
     [491, 241081, 118370771],
     [492, 242064, 119095488],
     [493, 243049, 119823157],
     [494, 244036, 120553784],
     [495, 245025, 121287375],
     [496, 246016, 122023936],
     [497, 247009, 122763473],
     [498, 248004, 123505992],
     [499, 249001, 124251499],
     [500, 250000, 125000000],
     [501, 251001, 125751501],
     [502, 252004, 126506008],
     [503, 253009, 127263527],
     [504, 254016, 128024064],
     [505, 255025, 128787625],
     [506, 256036, 129554216],
     [507, 257049, 130323843],
     [508, 258064, 131096512],
     [509, 259081, 131872229],
     [510, 260100, 132651000],
     [511, 261121, 133432831],
     [512, 262144, 134217728],
     [513, 263169, 135005697],
     [514, 264196, 135796744],
     [515, 265225, 136590875],
     [516, 266256, 137388096],
     [517, 267289, 138188413],
     [518, 268324, 138991832],
     [519, 269361, 139798359],
     [520, 270400, 140608000],
     [521, 271441, 141420761],
     [522, 272484, 142236648],
     [523, 273529, 143055667],
     [524, 274576, 143877824],
     [525, 275625, 144703125],
     [526, 276676, 145531576],
     [527, 277729, 146363183],
     [528, 278784, 147197952],
     [529, 279841, 148035889],
     [530, 280900, 148877000],
     [531, 281961, 149721291],
     [532, 283024, 150568768],
     [533, 284089, 151419437],
     [534, 285156, 152273304],
     [535, 286225, 153130375],
     [536, 287296, 153990656],
     [537, 288369, 154854153],
     [538, 289444, 155720872],
     [539, 290521, 156590819],
     [540, 291600, 157464000],
     [541, 292681, 158340421],
     [542, 293764, 159220088],
     [543, 294849, 160103007],
     [544, 295936, 160989184],
     [545, 297025, 161878625],
     [546, 298116, 162771336],
     [547, 299209, 163667323],
     [548, 300304, 164566592],
     [549, 301401, 165469149],
     [550, 302500, 166375000],
     [551, 303601, 167284151],
     [552, 304704, 168196608],
     [553, 305809, 169112377],
     [554, 306916, 170031464],
     [555, 308025, 170953875],
     [556, 309136, 171879616],
     [557, 310249, 172808693],
     [558, 311364, 173741112],
     [559, 312481, 174676879],
     [560, 313600, 175616000],
     [561, 314721, 176558481],
     [562, 315844, 177504328],
     [563, 316969, 178453547],
     [564, 318096, 179406144],
     [565, 319225, 180362125],
     [566, 320356, 181321496],
     [567, 321489, 182284263],
     [568, 322624, 183250432],
     [569, 323761, 184220009],
     [570, 324900, 185193000],
     [571, 326041, 186169411],
     [572, 327184, 187149248],
     [573, 328329, 188132517],
     [574, 329476, 189119224],
     [575, 330625, 190109375],
     [576, 331776, 191102976],
     [577, 332929, 192100033],
     [578, 334084, 193100552],
     [579, 335241, 194104539],
     [580, 336400, 195112000],
     [581, 337561, 196122941],
     [582, 338724, 197137368],
     [583, 339889, 198155287],
     [584, 341056, 199176704],
     [585, 342225, 200201625],
     [586, 343396, 201230056],
     [587, 344569, 202262003],
     [588, 345744, 203297472],
     [589, 346921, 204336469],
     [590, 348100, 205379000],
     [591, 349281, 206425071],
     [592, 350464, 207474688],
     [593, 351649, 208527857],
     [594, 352836, 209584584],
     [595, 354025, 210644875],
     [596, 355216, 211708736],
     [597, 356409, 212776173],
     [598, 357604, 213847192],
     [599, 358801, 214921799],
     [600, 360000, 216000000],
     [601, 361201, 217081801],
     [602, 362404, 218167208],
     [603, 363609, 219256227],
     [604, 364816, 220348864],
     [605, 366025, 221445125],
     [606, 367236, 222545016],
     [607, 368449, 223648543],
     [608, 369664, 224755712],
     [609, 370881, 225866529],
     [610, 372100, 226981000],
     [611, 373321, 228099131],
     [612, 374544, 229220928],
     [613, 375769, 230346397],
     [614, 376996, 231475544],
     [615, 378225, 232608375],
     [616, 379456, 233744896],
     [617, 380689, 234885113],
     [618, 381924, 236029032],
     [619, 383161, 237176659],
     [620, 384400, 238328000],
     [621, 385641, 239483061],
     [622, 386884, 240641848],
     [623, 388129, 241804367],
     [624, 389376, 242970624],
     [625, 390625, 244140625],
     [626, 391876, 245314376],
     [627, 393129, 246491883],
     [628, 394384, 247673152],
     [629, 395641, 248858189],
     [630, 396900, 250047000],
     [631, 398161, 251239591],
     [632, 399424, 252435968],
     [633, 400689, 253636137],
     [634, 401956, 254840104],
     [635, 403225, 256047875],
     [636, 404496, 257259456],
     [637, 405769, 258474853],
     [638, 407044, 259694072],
     [639, 408321, 260917119],
     [640, 409600, 262144000],
     [641, 410881, 263374721],
     [642, 412164, 264609288],
     [643, 413449, 265847707],
     [644, 414736, 267089984],
     [645, 416025, 268336125],
     [646, 417316, 269586136],
     [647, 418609, 270840023],
     [648, 419904, 272097792],
     [649, 421201, 273359449],
     [650, 422500, 274625000],
     [651, 423801, 275894451],
     [652, 425104, 277167808],
     [653, 426409, 278445077],
     [654, 427716, 279726264],
     [655, 429025, 281011375],
     [656, 430336, 282300416],
     [657, 431649, 283593393],
     [658, 432964, 284890312],
     [659, 434281, 286191179],
     [660, 435600, 287496000],
     [661, 436921, 288804781],
     [662, 438244, 290117528],
     [663, 439569, 291434247],
     [664, 440896, 292754944],
     [665, 442225, 294079625],
     [666, 443556, 295408296],
     [667, 444889, 296740963],
     [668, 446224, 298077632],
     [669, 447561, 299418309],
     [670, 448900, 300763000],
     [671, 450241, 302111711],
     [672, 451584, 303464448],
     [673, 452929, 304821217],
     [674, 454276, 306182024],
     [675, 455625, 307546875],
     [676, 456976, 308915776],
     [677, 458329, 310288733],
     [678, 459684, 311665752],
     [679, 461041, 313046839],
     [680, 462400, 314432000],
     [681, 463761, 315821241],
     [682, 465124, 317214568],
     [683, 466489, 318611987],
     [684, 467856, 320013504],
     [685, 469225, 321419125],
     [686, 470596, 322828856],
     [687, 471969, 324242703],
     [688, 473344, 325660672],
     [689, 474721, 327082769],
     [690, 476100, 328509000],
     [691, 477481, 329939371],
     [692, 478864, 331373888],
     [693, 480249, 332812557],
     [694, 481636, 334255384],
     [695, 483025, 335702375],
     [696, 484416, 337153536],
     [697, 485809, 338608873],
     [698, 487204, 340068392],
     [699, 488601, 341532099],
     [700, 490000, 343000000],
     [701, 491401, 344472101],
     [702, 492804, 345948408],
     [703, 494209, 347428927],
     [704, 495616, 348913664],
     [705, 497025, 350402625],
     [706, 498436, 351895816],
     [707, 499849, 353393243],
     [708, 501264, 354894912],
     [709, 502681, 356400829],
     [710, 504100, 357911000],
     [711, 505521, 359425431],
     [712, 506944, 360944128],
     [713, 508369, 362467097],
     [714, 509796, 363994344],
     [715, 511225, 365525875],
     [716, 512656, 367061696],
     [717, 514089, 368601813],
     [718, 515524, 370146232],
     [719, 516961, 371694959],
     [720, 518400, 373248000],
     [721, 519841, 374805361],
     [722, 521284, 376367048],
     [723, 522729, 377933067],
     [724, 524176, 379503424],
     [725, 525625, 381078125],
     [726, 527076, 382657176],
     [727, 528529, 384240583],
     [728, 529984, 385828352],
     [729, 531441, 387420489],
     [730, 532900, 389017000],
     [731, 534361, 390617891],
     [732, 535824, 392223168],
     [733, 537289, 393832837],
     [734, 538756, 395446904],
     [735, 540225, 397065375],
     [736, 541696, 398688256],
     [737, 543169, 400315553],
     [738, 544644, 401947272],
     [739, 546121, 403583419],
     [740, 547600, 405224000],
     [741, 549081, 406869021],
     [742, 550564, 408518488],
     [743, 552049, 410172407],
     [744, 553536, 411830784],
     [745, 555025, 413493625],
     [746, 556516, 415160936],
     [747, 558009, 416832723],
     [748, 559504, 418508992],
     [749, 561001, 420189749],
     [750, 562500, 421875000],
     [751, 564001, 423564751],
     [752, 565504, 425259008],
     [753, 567009, 426957777],
     [754, 568516, 428661064],
     [755, 570025, 430368875],
     [756, 571536, 432081216],
     [757, 573049, 433798093],
     [758, 574564, 435519512],
     [759, 576081, 437245479],
     [760, 577600, 438976000],
     [761, 579121, 440711081],
     [762, 580644, 442450728],
     [763, 582169, 444194947],
     [764, 583696, 445943744],
     [765, 585225, 447697125],
     [766, 586756, 449455096],
     [767, 588289, 451217663],
     [768, 589824, 452984832],
     [769, 591361, 454756609],
     [770, 592900, 456533000],
     [771, 594441, 458314011],
     [772, 595984, 460099648],
     [773, 597529, 461889917],
     [774, 599076, 463684824],
     [775, 600625, 465484375],
     [776, 602176, 467288576],
     [777, 603729, 469097433],
     [778, 605284, 470910952],
     [779, 606841, 472729139],
     [780, 608400, 474552000],
     [781, 609961, 476379541],
     [782, 611524, 478211768],
     [783, 613089, 480048687],
     [784, 614656, 481890304],
     [785, 616225, 483736625],
     [786, 617796, 485587656],
     [787, 619369, 487443403],
     [788, 620944, 489303872],
     [789, 622521, 491169069],
     [790, 624100, 493039000],
     [791, 625681, 494913671],
     [792, 627264, 496793088],
     [793, 628849, 498677257],
     [794, 630436, 500566184],
     [795, 632025, 502459875],
     [796, 633616, 504358336],
     [797, 635209, 506261573],
     [798, 636804, 508169592],
     [799, 638401, 510082399],
     [800, 640000, 512000000],
     [801, 641601, 513922401],
     [802, 643204, 515849608],
     [803, 644809, 517781627],
     [804, 646416, 519718464],
     [805, 648025, 521660125],
     [806, 649636, 523606616],
     [807, 651249, 525557943],
     [808, 652864, 527514112],
     [809, 654481, 529475129],
     [810, 656100, 531441000],
     [811, 657721, 533411731],
     [812, 659344, 535387328],
     [813, 660969, 537367797],
     [814, 662596, 539353144],
     [815, 664225, 541343375],
     [816, 665856, 543338496],
     [817, 667489, 545338513],
     [818, 669124, 547343432],
     [819, 670761, 549353259],
     [820, 672400, 551368000],
     [821, 674041, 553387661],
     [822, 675684, 555412248],
     [823, 677329, 557441767],
     [824, 678976, 559476224],
     [825, 680625, 561515625],
     [826, 682276, 563559976],
     [827, 683929, 565609283],
     [828, 685584, 567663552],
     [829, 687241, 569722789],
     [830, 688900, 571787000],
     [831, 690561, 573856191],
     [832, 692224, 575930368],
     [833, 693889, 578009537],
     [834, 695556, 580093704],
     [835, 697225, 582182875],
     [836, 698896, 584277056],
     [837, 700569, 586376253],
     [838, 702244, 588480472],
     [839, 703921, 590589719],
     [840, 705600, 592704000],
     [841, 707281, 594823321],
     [842, 708964, 596947688],
     [843, 710649, 599077107],
     [844, 712336, 601211584],
     [845, 714025, 603351125],
     [846, 715716, 605495736],
     [847, 717409, 607645423],
     [848, 719104, 609800192],
     [849, 720801, 611960049],
     [850, 722500, 614125000],
     [851, 724201, 616295051],
     [852, 725904, 618470208],
     [853, 727609, 620650477],
     [854, 729316, 622835864],
     [855, 731025, 625026375],
     [856, 732736, 627222016],
     [857, 734449, 629422793],
     [858, 736164, 631628712],
     [859, 737881, 633839779],
     [860, 739600, 636056000],
     [861, 741321, 638277381],
     [862, 743044, 640503928],
     [863, 744769, 642735647],
     [864, 746496, 644972544],
     [865, 748225, 647214625],
     [866, 749956, 649461896],
     [867, 751689, 651714363],
     [868, 753424, 653972032],
     [869, 755161, 656234909],
     [870, 756900, 658503000],
     [871, 758641, 660776311],
     [872, 760384, 663054848],
     [873, 762129, 665338617],
     [874, 763876, 667627624],
     [875, 765625, 669921875],
     [876, 767376, 672221376],
     [877, 769129, 674526133],
     [878, 770884, 676836152],
     [879, 772641, 679151439],
     [880, 774400, 681472000],
     [881, 776161, 683797841],
     [882, 777924, 686128968],
     [883, 779689, 688465387],
     [884, 781456, 690807104],
     [885, 783225, 693154125],
     [886, 784996, 695506456],
     [887, 786769, 697864103],
     [888, 788544, 700227072],
     [889, 790321, 702595369],
     [890, 792100, 704969000],
     [891, 793881, 707347971],
     [892, 795664, 709732288],
     [893, 797449, 712121957],
     [894, 799236, 714516984],
     [895, 801025, 716917375],
     [896, 802816, 719323136],
     [897, 804609, 721734273],
     [898, 806404, 724150792],
     [899, 808201, 726572699],
     [900, 810000, 729000000],
     [901, 811801, 731432701],
     [902, 813604, 733870808],
     [903, 815409, 736314327],
     [904, 817216, 738763264],
     [905, 819025, 741217625],
     [906, 820836, 743677416],
     [907, 822649, 746142643],
     [908, 824464, 748613312],
     [909, 826281, 751089429],
     [910, 828100, 753571000],
     [911, 829921, 756058031],
     [912, 831744, 758550528],
     [913, 833569, 761048497],
     [914, 835396, 763551944],
     [915, 837225, 766060875],
     [916, 839056, 768575296],
     [917, 840889, 771095213],
     [918, 842724, 773620632],
     [919, 844561, 776151559],
     [920, 846400, 778688000],
     [921, 848241, 781229961],
     [922, 850084, 783777448],
     [923, 851929, 786330467],
     [924, 853776, 788889024],
     [925, 855625, 791453125],
     [926, 857476, 794022776],
     [927, 859329, 796597983],
     [928, 861184, 799178752],
     [929, 863041, 801765089],
     [930, 864900, 804357000],
     [931, 866761, 806954491],
     [932, 868624, 809557568],
     [933, 870489, 812166237],
     [934, 872356, 814780504],
     [935, 874225, 817400375],
     [936, 876096, 820025856],
     [937, 877969, 822656953],
     [938, 879844, 825293672],
     [939, 881721, 827936019],
     [940, 883600, 830584000],
     [941, 885481, 833237621],
     [942, 887364, 835896888],
     [943, 889249, 838561807],
     [944, 891136, 841232384],
     [945, 893025, 843908625],
     [946, 894916, 846590536],
     [947, 896809, 849278123],
     [948, 898704, 851971392],
     [949, 900601, 854670349],
     [950, 902500, 857375000],
     [951, 904401, 860085351],
     [952, 906304, 862801408],
     [953, 908209, 865523177],
     [954, 910116, 868250664],
     [955, 912025, 870983875],
     [956, 913936, 873722816],
     [957, 915849, 876467493],
     [958, 917764, 879217912],
     [959, 919681, 881974079],
     [960, 921600, 884736000],
     [961, 923521, 887503681],
     [962, 925444, 890277128],
     [963, 927369, 893056347],
     [964, 929296, 895841344],
     [965, 931225, 898632125],
     [966, 933156, 901428696],
     [967, 935089, 904231063],
     [968, 937024, 907039232],
     [969, 938961, 909853209],
     [970, 940900, 912673000],
     [971, 942841, 915498611],
     [972, 944784, 918330048],
     [973, 946729, 921167317],
     [974, 948676, 924010424],
     [975, 950625, 926859375],
     [976, 952576, 929714176],
     [977, 954529, 932574833],
     [978, 956484, 935441352],
     [979, 958441, 938313739],
     [980, 960400, 941192000],
     [981, 962361, 944076141],
     [982, 964324, 946966168],
     [983, 966289, 949862087],
     [984, 968256, 952763904],
     [985, 970225, 955671625],
     [986, 972196, 958585256],
     [987, 974169, 961504803],
     [988, 976144, 964430272],
     [989, 978121, 967361669],
     [990, 980100, 970299000],
     [991, 982081, 973242271],
     [992, 984064, 976191488],
     [993, 986049, 979146657],
     [994, 988036, 982107784],
     [995, 990025, 985074875],
     [996, 992016, 988047936],
     [997, 994009, 991026973],
     [998, 996004, 994011992],
     [999, 998001, 997002999],
     ...]




```python
import pandas as pd
```


```python
help(pd.read_csv)
```

    Help on function read_csv in module pandas.io.parsers:
    
    read_csv(filepath_or_buffer, sep=',', delimiter=None, header='infer', names=None, index_col=None, usecols=None, squeeze=False, prefix=None, mangle_dupe_cols=True, dtype=None, engine=None, converters=None, true_values=None, false_values=None, skipinitialspace=False, skiprows=None, skipfooter=None, nrows=None, na_values=None, keep_default_na=True, na_filter=True, verbose=False, skip_blank_lines=True, parse_dates=False, infer_datetime_format=False, keep_date_col=False, date_parser=None, dayfirst=False, iterator=False, chunksize=None, compression='infer', thousands=None, decimal='.', lineterminator=None, quotechar='"', quoting=0, escapechar=None, comment=None, encoding=None, dialect=None, tupleize_cols=False, error_bad_lines=True, warn_bad_lines=True, skip_footer=0, doublequote=True, delim_whitespace=False, as_recarray=False, compact_ints=False, use_unsigned=False, low_memory=True, buffer_lines=None, memory_map=False, float_precision=None)
        Read CSV (comma-separated) file into DataFrame
        
        Also supports optionally iterating or breaking of the file
        into chunks.
        
        Additional help can be found in the `online docs for IO Tools
        <http://pandas.pydata.org/pandas-docs/stable/io.html>`_.
        
        Parameters
        ----------
        filepath_or_buffer : str, pathlib.Path, py._path.local.LocalPath or any object with a read() method (such as a file handle or StringIO)
            The string could be a URL. Valid URL schemes include http, ftp, s3, and
            file. For file URLs, a host is expected. For instance, a local file could
            be file ://localhost/path/to/table.csv
        sep : str, default ','
            Delimiter to use. If sep is None, will try to automatically determine
            this. Regular expressions are accepted and will force use of the python
            parsing engine and will ignore quotes in the data.
        delimiter : str, default None
            Alternative argument name for sep.
        header : int or list of ints, default 'infer'
            Row number(s) to use as the column names, and the start of the data.
            Default behavior is as if set to 0 if no ``names`` passed, otherwise
            ``None``. Explicitly pass ``header=0`` to be able to replace existing
            names. The header can be a list of integers that specify row locations for
            a multi-index on the columns e.g. [0,1,3]. Intervening rows that are not
            specified will be skipped (e.g. 2 in this example is skipped). Note that
            this parameter ignores commented lines and empty lines if
            ``skip_blank_lines=True``, so header=0 denotes the first line of data
            rather than the first line of the file.
        names : array-like, default None
            List of column names to use. If file contains no header row, then you
            should explicitly pass header=None
        index_col : int or sequence or False, default None
            Column to use as the row labels of the DataFrame. If a sequence is given, a
            MultiIndex is used. If you have a malformed file with delimiters at the end
            of each line, you might consider index_col=False to force pandas to _not_
            use the first column as the index (row names)
        usecols : array-like, default None
            Return a subset of the columns.
            Results in much faster parsing time and lower memory usage.
        squeeze : boolean, default False
            If the parsed data only contains one column then return a Series
        prefix : str, default None
            Prefix to add to column numbers when no header, e.g. 'X' for X0, X1, ...
        mangle_dupe_cols : boolean, default True
            Duplicate columns will be specified as 'X.0'...'X.N', rather than 'X'...'X'
        dtype : Type name or dict of column -> type, default None
            Data type for data or columns. E.g. {'a': np.float64, 'b': np.int32}
            (Unsupported with engine='python'). Use `str` or `object` to preserve and
            not interpret dtype.
        engine : {'c', 'python'}, optional
            Parser engine to use. The C engine is faster while the python engine is
            currently more feature-complete.
        converters : dict, default None
            Dict of functions for converting values in certain columns. Keys can either
            be integers or column labels
        true_values : list, default None
            Values to consider as True
        false_values : list, default None
            Values to consider as False
        skipinitialspace : boolean, default False
            Skip spaces after delimiter.
        skiprows : list-like or integer, default None
            Line numbers to skip (0-indexed) or number of lines to skip (int)
            at the start of the file
        skipfooter : int, default 0
            Number of lines at bottom of file to skip (Unsupported with engine='c')
        nrows : int, default None
            Number of rows of file to read. Useful for reading pieces of large files
        na_values : str or list-like or dict, default None
            Additional strings to recognize as NA/NaN. If dict passed, specific
            per-column NA values.  By default the following values are interpreted as
            NaN: `''`, `'#N/A'`, `'#N/A N/A'`, `'#NA'`, `'-1.#IND'`, `'-1.#QNAN'`, `'-NaN'`, `'-nan'`, `'1.#IND'`, `'1.#QNAN'`, `'N/A'`, `'NA'`, `'NULL'`, `'NaN'`, `'nan'`.
        keep_default_na : bool, default True
            If na_values are specified and keep_default_na is False the default NaN
            values are overridden, otherwise they're appended to.
        na_filter : boolean, default True
            Detect missing value markers (empty strings and the value of na_values). In
            data without any NAs, passing na_filter=False can improve the performance
            of reading a large file
        verbose : boolean, default False
            Indicate number of NA values placed in non-numeric columns
        skip_blank_lines : boolean, default True
            If True, skip over blank lines rather than interpreting as NaN values
        parse_dates : boolean or list of ints or names or list of lists or dict, default False
        
            * boolean. If True -> try parsing the index.
            * list of ints or names. e.g. If [1, 2, 3] -> try parsing columns 1, 2, 3
              each as a separate date column.
            * list of lists. e.g.  If [[1, 3]] -> combine columns 1 and 3 and parse as
                a single date column.
            * dict, e.g. {'foo' : [1, 3]} -> parse columns 1, 3 as date and call result
              'foo'
        
            Note: A fast-path exists for iso8601-formatted dates.
        infer_datetime_format : boolean, default False
            If True and parse_dates is enabled for a column, attempt to infer
            the datetime format to speed up the processing
        keep_date_col : boolean, default False
            If True and parse_dates specifies combining multiple columns then
            keep the original columns.
        date_parser : function, default None
            Function to use for converting a sequence of string columns to an array of
            datetime instances. The default uses ``dateutil.parser.parser`` to do the
            conversion. Pandas will try to call date_parser in three different ways,
            advancing to the next if an exception occurs: 1) Pass one or more arrays
            (as defined by parse_dates) as arguments; 2) concatenate (row-wise) the
            string values from the columns defined by parse_dates into a single array
            and pass that; and 3) call date_parser once for each row using one or more
            strings (corresponding to the columns defined by parse_dates) as arguments.
        dayfirst : boolean, default False
            DD/MM format dates, international and European format
        iterator : boolean, default False
            Return TextFileReader object for iteration or getting chunks with
            ``get_chunk()``.
        chunksize : int, default None
            Return TextFileReader object for iteration. `See IO Tools docs for more
            information
            <http://pandas.pydata.org/pandas-docs/stable/io.html#io-chunking>`_ on
            ``iterator`` and ``chunksize``.
        compression : {'infer', 'gzip', 'bz2', None}, default 'infer'
            For on-the-fly decompression of on-disk data. If 'infer', then use gzip or
            bz2 if filepath_or_buffer is a string ending in '.gz' or '.bz2',
            respectively, and no decompression otherwise. Set to None for no
            decompression.
        thousands : str, default None
            Thousands separator
        decimal : str, default '.'
            Character to recognize as decimal point (e.g. use ',' for European data).
        lineterminator : str (length 1), default None
            Character to break file into lines. Only valid with C parser.
        quotechar : str (length 1), optional
            The character used to denote the start and end of a quoted item. Quoted
            items can include the delimiter and it will be ignored.
        quoting : int or csv.QUOTE_* instance, default None
            Control field quoting behavior per ``csv.QUOTE_*`` constants. Use one of
            QUOTE_MINIMAL (0), QUOTE_ALL (1), QUOTE_NONNUMERIC (2) or QUOTE_NONE (3).
            Default (None) results in QUOTE_MINIMAL behavior.
        escapechar : str (length 1), default None
            One-character string used to escape delimiter when quoting is QUOTE_NONE.
        comment : str, default None
            Indicates remainder of line should not be parsed. If found at the beginning
            of a line, the line will be ignored altogether. This parameter must be a
            single character. Like empty lines (as long as ``skip_blank_lines=True``),
            fully commented lines are ignored by the parameter `header` but not by
            `skiprows`. For example, if comment='#', parsing '#empty\na,b,c\n1,2,3'
            with `header=0` will result in 'a,b,c' being
            treated as the header.
        encoding : str, default None
            Encoding to use for UTF when reading/writing (ex. 'utf-8'). `List of Python
            standard encodings
            <https://docs.python.org/3/library/codecs.html#standard-encodings>`_
        dialect : str or csv.Dialect instance, default None
            If None defaults to Excel dialect. Ignored if sep longer than 1 char
            See csv.Dialect documentation for more details
        tupleize_cols : boolean, default False
            Leave a list of tuples on columns as is (default is to convert to
            a Multi Index on the columns)
        error_bad_lines : boolean, default True
            Lines with too many fields (e.g. a csv line with too many commas) will by
            default cause an exception to be raised, and no DataFrame will be returned.
            If False, then these "bad lines" will dropped from the DataFrame that is
            returned. (Only valid with C parser)
        warn_bad_lines : boolean, default True
            If error_bad_lines is False, and warn_bad_lines is True, a warning for each
            "bad line" will be output. (Only valid with C parser).
        
        Returns
        -------
        result : DataFrame or TextParser
    
    


```python
df = pd.read_csv('C:/Users/abner/github/data/data_write_to_file.txt', sep = '\t', names = ['a', 'b', 'c'])
df[:5]
```




<div>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>a</th>
      <th>b</th>
      <th>c</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>0</th>
      <td>0</td>
      <td>0</td>
      <td>0</td>
    </tr>
    <tr>
      <th>1</th>
      <td>1</td>
      <td>1</td>
      <td>1</td>
    </tr>
    <tr>
      <th>2</th>
      <td>2</td>
      <td>4</td>
      <td>8</td>
    </tr>
    <tr>
      <th>3</th>
      <td>3</td>
      <td>9</td>
      <td>27</td>
    </tr>
    <tr>
      <th>4</th>
      <td>4</td>
      <td>16</td>
      <td>64</td>
    </tr>
  </tbody>
</table>
</div>




```python
import json
data_dict = {'a':1, 'b':2, 'c':3}
with open('C:/Users/abner/github/save_dict.json', 'w') as f:
    json.dump(data_dict, f)
```


```python
dd = json.load(open("C:/Users/abner/github/save_dict.json"))
dd
```




    {u'a': 1, u'b': 2, u'c': 3}




```python
dl = json.load(open("C:/Users/abner/github/save_list.json"))
dl
```




    [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]




```python
import dill # pip insstall dill 
# http://trac.mystic.cacr.caltech.edu/project/pathos/wiki/dill
def myFunction(num):
    return num,num

with open('C:/Users/abner/github/data.pkl', 'wb') as f:
    dill.dump(myFunction, f)
```


```python
with open('C:/Users/abner/github/data.pkl', 'r') as f:
    newFunction = dill.load(f)#, strictio=strictio))
newFunction('hello')
```




    ('hello', 'hello')




```python

```
